Name:          wlroots
Version:       0.18.2
Release:       2mamba
Summary:       Pluggable, composable, unopinionated modules for building a Wayland compositor
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.freedesktop.org/wlroots
Source:        https://gitlab.freedesktop.org/wlroots/wlroots.git/%{version}/wlroots-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdisplay-info-devel
BuildRequires: libdrm-devel
BuildRequires: libglvnd-devel
BuildRequires: libinput-devel
BuildRequires: liblcms2-devel
BuildRequires: libliftoff-devel
BuildRequires: libmesa-devel
BuildRequires: libpixman-devel
BuildRequires: libseatd-devel
BuildRequires: libudev-devel
BuildRequires: libvulkan-devel
BuildRequires: libwayland-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-render-util-devel
BuildRequires: libxcb-util-wm-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: meson
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Pluggable, composable, unopinionated modules for building a Wayland compositor.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Pluggable, composable, unopinionated modules for building a Wayland compositor

%description -n lib%{name}
Pluggable, composable, unopinionated modules for building a Wayland compositor.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libwlroots-%{majver}.so
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/wlroots-%{majver}
%{_includedir}/wlroots-%{majver}/*
%{_libdir}/pkgconfig/wlroots-%{majver}.pc
%doc README.md

%changelog
* Sun Mar 23 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18.2-2mamba
- rebuilt with libliftoff and libseat

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 0.18.2-1mamba
- automatic version update by autodist

* Sun Sep 22 2024 Automatic Build System <autodist@openmamba.org> 0.18.1-1mamba
- automatic version update by autodist

* Fri Jun 28 2024 Automatic Build System <autodist@openmamba.org> 0.17.4-1mamba
- automatic version update by autodist

* Sat Apr 27 2024 Automatic Build System <autodist@openmamba.org> 0.17.3-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 0.17.2-1mamba
- automatic version update by autodist

* Sat Feb 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.1-1mamba
- package created using the webbuild interface
